const glob = require('glob');
const autoprefixer = require('autoprefixer');
const tailwindcss = require('tailwindcss');

let paths = function(path) {
    return glob.sync('docs'+path+'/**/*.md').map(f => f.replace("docs","").replace("README.md","")); 
}

let links = function(path) {
    return [ path+'/', ...paths(path+'/*') ]
}
module.exports = {
  title: "Yuika documentation",
  description: "",
  themeConfig: {
    sidebar: [
      { title: 'Yuika', path: '/', },
      { title: 'Components', path: '/components/', children: links('/components') },
    ]
  },
  postcss: {
    plugins: [
      tailwindcss,
      autoprefixer,      
    ]
  }
};
