import { Header, HeaderLeft, HeaderMiddle, HeaderRight } from '../../src/components';
import '../../src/assets/css/tailwind.css';

export default ({
  Vue, // the version of Vue being used in the VuePress app
  options, // the options for the root Vue instance
  router, // the router instance for the app
  siteData // site metadata
}) => {
  Vue.component('Header', Header);
  Vue.component('HeaderLeft', HeaderLeft);
  Vue.component('HeaderMiddle', HeaderMiddle);
  Vue.component('HeaderRight', HeaderRight);
}

